package com.malk.heshu.entity;

import com.malk.utils.UtilMap;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class FBillHead extends Model{
    private String FID;//实体主键
    private String FDocumentStatus;//数据状态
    private String FForbidStatus;//禁用状态
    private String FName;//名称 (必填项)
    private String FNumber;//编码
    private String FDescription;//描述
    private Map<String,String> FCreateOrgId;//创建组织 (必填项)
    private Map<String,String> FUseOrgId;//使用组织 (必填项)
    private String FCreatorId;//创建人
    private String FModifierId;//修改人
    private String FCreateDate;//创建日期
    private String FModifyDate;//修改日期
    private Map<String,String> F_ABC_Assistant;//项目类型 (必填项)
    private String F_VPOX_Text;//CRM编号

    public void setFCreateOrgId(String fCreateOrgId){
        this.FCreateOrgId = UtilMap.map("FNumber",fCreateOrgId);
    }
    public void setFUseOrgId(String fUseOrgId){
        this.FUseOrgId = UtilMap.map("FNumber",fUseOrgId);
    }
    public FBillHead(String FName,String FNumber,String type){
        this.FUseOrgId = UtilMap.map("FNumber","100");
        this.FCreateOrgId = UtilMap.map("FNumber","100");
        this.FName=FName;
        this.FNumber=FNumber;
        this.F_ABC_Assistant = UtilMap.map("FNumber",type);
    }
    public FBillHead(){}
}
